﻿using Rhino.PlugIns;
using Rhino.UI;

namespace SamplePanel
{
  /// <summary>
  /// SamplePanel plug-in
  /// </summary>
  public class SamplePanelPlugIn : PlugIn
  {
    public SamplePanelPlugIn()
    {
      Instance = this;
    }

    /// <summary>
    /// Gets the one and only SamplePanelPlugIn object
    /// </summary>
    public static SamplePanelPlugIn Instance
    {
      get; private set;
    }

    /// <summary>
    /// PlugIn.OnLoad override
    /// </summary>
    protected override LoadReturnCode OnLoad(ref string errorMessage)
    {
      var icon = DrawingUtilities.IconFromResource("SamplePanel.Resources.SamplePanel.ico", GetType().Assembly);
      Panels.RegisterPanel(this, typeof(SampleDocumentPanel), "Sample", icon, PanelType.PerDoc);
      return LoadReturnCode.Success;
    }
  }
}